> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/inventory-management/list-inventory-by-location.md).

# List Inventory by Location

Retrieves List of Inventory per location from the database.

Retrieve inventory data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"Inventory Management","description":"Use Inventory Management APIs to read and update stock availability across stores, warehouses, locations, items, products, and inventory qualities. These endpoints are typically used by commerce channels, warehouse tools, 3PL integrations, and replenishment workflows that need current on-hand, allocated, available, and not-available quantities. Write operations should be used carefully because they can affect fulfillment and accounting downstream."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/inventory/getinventorybylocation":{"get":{"parameters":[{"description":"A comma-separated list of product ids.","in":"query","name":"product_id","required":false,"schema":{"type":"number"}},{"description":"A comma-separated list of item ids.","in":"query","name":"item_id","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of base part numbers.","in":"query","name":"base_part_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of item numbers.","in":"query","name":"item_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of stores.","in":"query","name":"store","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of locations.","in":"query","name":"location","required":false,"schema":{"type":"string"}},{"description":"Show inventory greater than or equal to quantity.","in":"query","name":"min_on_hand","required":false,"schema":{"type":"string"}},{"description":"Show inventory less than or equal to quantity.","in":"query","name":"max_on_hand","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of quality names.","in":"query","name":"quality_name","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"description":"Comma-separated tags used to filter matching records.","schema":{"type":"string"}},{"name":"page","in":"query","required":false,"description":"Page number for paginated responses.","schema":{"type":"string","default":"1"}},{"name":"account3pl_id","in":"query","required":false,"description":"3PL account identifier.","schema":{"type":"string"}},{"name":"quality_code","in":"query","required":false,"description":"Inventory quality code used to filter inventory quantities.","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"items":{"properties":{"ATSQty":{"type":"number"},"ATSQtyIncPO":{"type":"number"},"AllocatedQty":{"type":"number"},"AvailableQty":{"type":"number"},"BasePartNumber":{"type":"string"},"ItemId":{"type":"number"},"ItemNumber":{"type":"string"},"LocationName":{"type":"string"},"NetAvailable":{"type":"number"},"NotAvailableQty":{"type":"number"},"OnHandQty":{"type":"number"},"ProductHeaderId":{"type":"number"}},"type":"object"},"type":"array"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Result":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["Inventory Management"],"description":"Retrieves List of Inventory per location from the database.\n\nRetrieve inventory data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.","operationId":"get_inventory_getinventorybylocation","summary":"List Inventory by Location"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xorosoft.com/developers-api/inventory-management/list-inventory-by-location.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
